;------------- MakeRescueDiskWizard -------------

[MakeRescueDiskWizard]
@ = [WizardTpl] sz(500,370) at(minimizable,dragable) alias(makerescuedisk) mg(0,0,0,0) subst(Pages([MakeRescueDiskWizardPages])) ext(1)

[MakeRescueDiskWizardPages]
@                       = ext(1) sz(p,p)
Intro                   = [WizardPage] h(14763) subst(Name() Descr() Body([MakeRescueDiskWizardPages_Intro]))
Iso_Locate				= [WizardPage] h(14764) visible(!bUseExistentIso) subst(Name() Descr() Body([MakeRescueDiskWizardPages_Iso_Locate]))
Iso_CopyLocal			= [WizardPage] h(14765) visible(!bUseExistentIso && (eIsoLocation == #eRdiskIsoCopyLocal)) btns(Next(enable(strIsoPath))) subst(Name() Descr() Body([MakeRescueDiskWizardPages_Iso_CopyLocal]))
Iso_CopyLocal_Progress	= [WizardPage] h(14765) visible(!bUseExistentIso && (eIsoLocation == #eRdiskIsoCopyLocal) && bProcessing) btns(Back(enable(bCanCancelProcessing)) Cancel(enable(bCanCancelProcessing)) Next(enable(0))) subst(Name() Descr() Body([MakeRescueDiskWizardPages_Iso_CopyLocal_Progress]))
Iso_Download_Progress	= [WizardPage] h(14765) visible(!bUseExistentIso && (eIsoLocation == #eRdiskIsoDownload) && bProcessing) btns(Back(enable(bCanCancelProcessing)) Cancel(enable(bCanCancelProcessing)) Next(enable(0))) subst(Name() Descr() Body([MakeRescueDiskWizardPages_Iso_Download_Progress]))
Iso_Update_Prepare		= [WizardPage] h(14766) subst(Name() Descr() Body([MakeRescueDiskWizardPages_Iso_Update_Prepare]))
Iso_Update_Progress		= [WizardPage] h(14766) visible(bProcessing) btns(Back(enable(bCanCancelProcessing)) Next(enable(0)) Cancel(enable(bCanCancelProcessing))) subst(Name() Descr() Body([MakeRescueDiskWizardPages_Iso_Update_Progress]))
Finish                  = [WizardPage] h(14767) $LastPage subst(Name() Descr() Body([MakeRescueDiskWizardPages_Finish]))

[MakeRescueDiskWizardPages_Intro]
@           	= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Intro_Inner]
NewVersion		= [MakeRescueDiskWizardPages_NewVersion] visible(bIsoExists && bNewVersionAvailable)

[MakeRescueDiskWizardPages_Intro_Inner]
@           	= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
Text			= a(la) f("Header1") visible(bIsoExists)
UseExistentIso	= t(check) a(la) xy(,8) v(bUseExistentIso) visible(bIsoExists)

[MakeRescueDiskWizardPages_NewVersion]
@           	= a(lb) sz(p,a) mg(,,,16)
TextNew			= a(la) xy(,,,4) f("Header1Red") visible(bNewVersionAvailable)
Text			= a(la) xy(,,,4) f("Header1") visible(!bNewVersionAvailable)
Version			= a(la) xy(,,,4)
Descr			= a(la) xy(,,,4) visible(global.NewRescueDiskVersion.Descr)
RelDate			= a(la) xy(,,,4) visible(global.NewRescueDiskVersion.RelDate)
Size            = a(la) xy(,,,4)

[MakeRescueDiskWizardPages_Iso_Locate]
@           	= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_Locate_Inner]
NewVersion		= [MakeRescueDiskWizardPages_NewVersion] visible(bNewVersionAvailable)

[MakeRescueDiskWizardPages_Iso_Locate_Inner]
@           	= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
Text			= a(la) f("Header1")
RadioGroup		= [MakeRescueDiskWizardPages_Iso_Locate_RadioGroup]

[MakeRescueDiskWizardPages_Iso_Locate_RadioGroup]
@				= a(la) xy(10,) v(eIsoLocation) sz(p,a)
CopyLocal		= t(radio) a(la) xy(,8) v(#eRdiskIsoCopyLocal)
Download		= t(radio) a(la) xy(,8) v(#eRdiskIsoDownload) enable(!(!strIsoUrl)) at(default)

[MakeRescueDiskWizardPages_Iso_CopyLocal]
@           	= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_CopyLocal_Inner]

[MakeRescueDiskWizardPages_Iso_CopyLocal_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
PathLabel		= a(la) f("Header1") xy(,,,4)
Path			= t(edit) a(la) xy(,,$ButtonsLineSizeX) sz(p) v(strIsoPath)
PathBrowse		= $Button a(rs) xy(,-1) onclick(browsefileopen(strIsoPath, "Select ISO file", "iso")) text($Browse)

[MakeRescueDiskWizardPages_Iso_CopyLocal_Progress]
@				= sz(p,p) ext(1) onclose(bCanCancelProcessing)
Inner			= [MakeRescueDiskWizardPages_Iso_CopyLocal_Progress_Inner]

[MakeRescueDiskWizardPages_Iso_CopyLocal_Progress_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
Text			= a(la) f("Header1")
Progress		= t(progress) a(la) xy(0,4) sz(p,16) v(nPercentProgress)

[MakeRescueDiskWizardPages_Iso_Download_Progress]
@				= sz(p,p) ext(1) onclose(bCanCancelProcessing)
Inner			= [MakeRescueDiskWizardPages_Iso_Download_Progress_Inner]

[MakeRescueDiskWizardPages_Iso_Download_Progress_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
Text			= a(la) f("Header1")
Progress		= t(progress) a(la) xy(0,4) sz(p,16) v(nPercentProgress)

[MakeRescueDiskWizardPages_Iso_Update_Prepare]
@				= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Iso_Update_Prepare_Inner]

[MakeRescueDiskWizardPages_Iso_Update_Prepare_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
Text			= a(la) f("Header1")

[MakeRescueDiskWizardPages_Iso_Update_Progress]
@				= sz(p,p) ext(1) onclose(bCanCancelProcessing)
Inner			= [MakeRescueDiskWizardPages_Iso_Update_Progress_Inner]

[MakeRescueDiskWizardPages_Iso_Update_Progress_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
Text			= a(la) f("Header1")
Progress		= t(progress) a(la) xy(0,4) sz(p,16) v(nPercentProgress)

[MakeRescueDiskWizardPages_Finish]
@				= sz(p,p) ext(1)
Inner			= [MakeRescueDiskWizardPages_Finish_Inner]

[MakeRescueDiskWizardPages_Finish_Inner]
@				= $DlgWizardInnerAttr sz(p,a)
Descr			= a(la) xy(,,,16)
Text			= $First_Control f(Bold) sz(p,a)
